﻿using System.ComponentModel.DataAnnotations;

namespace Tip43.Models
{
    public class Movie
    {
        public int Id { get; set; }
        
        [Required(ErrorMessage="Movie title is required.")]
        [StringLength(8, ErrorMessage="Movie title cannot be longer than 8 characters")]
        public string Title { get; set; }

        [Required(ErrorMessage="Movie director is required")]
        public string Director { get; set; }

        [Required(ErrorMessage="Box office totals is required")]
        public decimal? BoxOfficeTotals { get; set; }
    }
}
