﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace Tip43.MvcValidation
{
    public static class ModelStateDictionaryExtensions
    {
        public static void CopyValidationIssues(this ModelStateDictionary modelState, ValidationIssueException validationIssueException)
        {
            foreach (var issue in validationIssueException.ValidationIssues)
            {
                string strValue = null;
                if (issue.AttemptedValue != null)
                    strValue = issue.AttemptedValue.ToString();
                modelState.AddModelError(issue.Key, strValue, issue.ErrorMessage);
            }
        }
    }
}
